#pragma once

#include <vector>
#include <stdint.h>

namespace mqtt_dataio
{
    class publisher_basic
    {
    public:
        explicit publisher_basic(){};
        virtual ~publisher_basic(){};
    };

    class subscriber_basic
    {
    public:
        using DataBuffer = std::vector<uint8_t>;

        explicit subscriber_basic(){};
        virtual ~subscriber_basic(){};
        virtual void on_message_arrival(const DataBuffer &){};
    };
} // namespace mqtt_dataio
